# Uses of Enum Class
net.shibboleth.idp.session.AbstractIdPSession.AddressFamily

Packages that use AbstractIdPSession.AddressFamily
Package
Description
net.shibboleth.idp.session
APIs related to the construction and management of sessions.

## Uses of AbstractIdPSession.AddressFamily in net.shibboleth.idp.session

Methods in net.shibboleth.idp.session that return AbstractIdPSession.AddressFamily
Modifier and Type
Method
Description
`protected static AbstractIdPSession.AddressFamily`
AbstractIdPSession.`getAddressFamily(String address)`
Returns the address family for an input address.
`static AbstractIdPSession.AddressFamily`
AbstractIdPSession.AddressFamily.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AbstractIdPSession.AddressFamily[]`
AbstractIdPSession.AddressFamily.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in net.shibboleth.idp.session with parameters of type AbstractIdPSession.AddressFamily
Modifier and Type
Method
Description
`String`
AbstractIdPSession.`getAddress(AbstractIdPSession.AddressFamily family)`
Get an address to which this session is bound.